#
# spec file for package python-enrich
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-enrich
Version:        1.2.7
Release:        4.1
Summary:        Extends the python-rich library functionality
License:        MIT
URL:            https://github.com/pycontribs/enrich
Source:         https://files.pythonhosted.org/packages/source/e/enrich/enrich-%{version}.tar.gz
Patch0:         remove_setuptools_scm.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module rich}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-rich
BuildArch:      noarch
%{?python_enable_dependency_generator}
%python_subpackages

%description
Extends the python-rich library functionality
with a set of changes that were not accepted to rich itself.

%prep
%autosetup -p1 -n enrich-%{version}
sed -i 's/__VERSION__/%{version}/' setup.py
sed -i '/_scm/ d' setup.cfg

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# gh#pycontribs/enrich#40
%pytest -k 'not test_rich_console_ex'

%files %{python_files}
%{python_sitelib}/enrich
%{python_sitelib}/enrich-%{version}*info

%changelog
* Mon May 26 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Wed May 10 2023 Steve Kowalik <steven.kowalik@suse.com>
- Actually run the testsuite.
- Add a missing Requires on python-rich
* Fri May  5 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Fri Jan 28 2022 Sebastian Wagner <sebix+novell.com@sebix.at>
- add remove_setuptools_scm.patch to get rid of setuptools-scm and fix the version
* Sun Jan 23 2022 Sebastian Wagner <sebix+novell.com@sebix.at>
- initial package for version 1.2.7
